ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Driver.Config

Description

Subsystem configuration

Synopsis

- initOptCoercionOpts :: DynFlags -> OptCoercionOpts
- initSimpleOpts :: DynFlags -> SimpleOpts
- initEvalOpts :: DynFlags -> Bool -> EvalOpts

# Documentation

initOptCoercionOpts :: DynFlags -> OptCoercionOpts #

Initialise coercion optimiser configuration from DynFlags

initSimpleOpts :: DynFlags -> SimpleOpts #

Initialise Simple optimiser configuration from DynFlags

initEvalOpts :: DynFlags -> Bool -> EvalOpts #

Extract GHCi options from DynFlags and step